Aegisub no cambia de idioma en la interfáz

10 envíos / 0 nuevos
Último envío
#1 Lun, 31/10/2016 - 16:48
javier_macross
Imagen de javier_macross
Desconectado/a
se unió: 10/08/16

Aegisub no cambia de idioma en la interfáz

Que tal amigos de esta estupenda web. Acabo de instalar aegisub 2.1.9 junto con el paquete de idioma aegisub-l10n. Cuando recién lo abro, me pregunta sobre el idioma de mi preferencia, selecciono  español y para mi sorpresa todo está en inglés. Luego voy view / Language... y lo vuelvo a poner en español. Me pide que reinicie el programa para que el cambio se efectúe pero de nuevo todo está en inglés.

¿Alguién sabe qué pasa?

Ojalá me puedan ayudar. Muchas gracias.

Saludos.

smiley

Lun, 31/10/2016 - 21:32
rayo
Imagen de rayo
Desconectado/a
colaborador
se unió: 21/02/16

No conozco ese programa, no lo tengo instalado, pero di un vistazo a los paquetes de Debian y veo que esa versión es muy vieja. Imagino que estarás usando la distribución Wheezy. La versión en Jessie es la 3.1.2 y en Stretch es la 3.2.2.

Al instalar el paquete de idiomas debería aparecer algún fichero con el nombre "aegisub" y la extensión ".mo" en la ruta /usr/share/locale/es/LC_MESSAGES. No sé si a lo mejor tú estás usando alguna versión del español, como por ejemplo es_AR y el paquete no quedó depositado ahí. De ser así imagino que se solucionaría haciendo un enlace blando a ese lugar, pero no creo que ese sea el problema porque si no existiera el paquete con la extensión .mo supongo no aparecería el idioma español señalado en la interfaz del programa.

No sé si podrías usar una versión más nueva desde los backports, o tal vez compilando el programa, lo cierto es que esa versión está muy vieja ya.

Lun, 31/10/2016 - 23:09
javier_macross
Imagen de javier_macross
Desconectado/a
se unió: 10/08/16

Gracias por contestar. Uno de los mayores problemas que he notado cuando se intenta compilar programas más actuales, es que a veces te piden librerías que solo existen en versiones posteriores a la versión de debian en la que uno trabaja. Y por desgracia este es el caso de este programa.

¿Habrá modo de hacer algo con el cambio de idioma de esta versión vieja?

Saludos.

smiley

 

Lun, 31/10/2016 - 23:24
rockyiii
Imagen de rockyiii
Desconectado/a
administrator
se unió: 11/01/16

javier_macross la idea del enlace simbólico, es muy buena, si no sabes como hacerlo te podemos guiar.

La otra es que te fijes en tu carpeta de /home/javier_macross/ en los directorios ocultos (CTRL + H en nautilus) si ese programa crea una carpeta de configuracion, podría ser .aegisub o estar en .config/aegisub

De ser así posiblemente tiene un archivo de configuración y podrias postearlo. A lo mejor se pueda poner en la conf el idioma español 

Lun, 31/10/2016 - 23:37
javier_macross
Imagen de javier_macross
Desconectado/a
se unió: 10/08/16

Efectivamente he checado en el archivo de configuración y aunque cambio ahí el idioma, no pasa nada. No creo que sea lo del enlace simbólico, pues como bien comenta rayo el programa detecta los idiomas instalados.

En estos momentos estoy compilando la misma versión vieja, a ver si compilando se quita ese error. Si se quita, con gusto lo comento.

Saludos.

smiley

 

Mar, 01/11/2016 - 00:12
javier_macross
Imagen de javier_macross
Desconectado/a
se unió: 10/08/16

Pues no. Acabo de terminar de compilar, lo ejecuto y lo mismo. En fin, trendré que cambiarme a debian 8.0 cheeky

Saludos.

laugh

 

Mar, 01/11/2016 - 21:14
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

La versión que tengo yo en Debian Sid, la 3.2.2 (repositorios deb-multimedia), si me hace el cambio de idioma sin problemas. ¿Podrías ejecutarlo desde la terminal y cambiar entonces el idoma? Con suerte podríamos ver si da algún error al hacer el cambio o en el inicio del programa.

  No hay bar que por bien no venga....
Mié, 02/11/2016 - 00:35
javier_macross
Imagen de javier_macross
Desconectado/a
se unió: 10/08/16

He borrado todo lo que hay en su configuración, para después correrlo desde consola con el comando: aegisub-2.1. Todo se abre normal, cuando me pide el dioma por defecto lo pongo a español y nada. La consola no muestra ni siquiera un warning. sad

Saludos.
smiley

 

Mié, 02/11/2016 - 17:08
rockyiii
Imagen de rockyiii
Desconectado/a
administrator
se unió: 11/01/16

todo apunta a que se trata de un bug del programa, podrías reportar el bug y/o ver si se puede instalar la versión de ese programa que esta para jessie

Mié, 02/11/2016 - 21:04
javier_macross
Imagen de javier_macross
Desconectado/a
se unió: 10/08/16

No, ya antes lo intenté pero pide alguna librerías que trae jessie. En definitiva es un bug del programa sad

Saludos.

smiley